Bug 1808968 - Service binding should be through Knative Service
Summary: Service binding should be through Knative Service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Jaivardhan Kumar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On: 1798288
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-02 07:04 UTC by Jaivardhan Kumar
Modified: 2020-03-24 14:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Service binding request in topology is associated with Revisions in topology view Consequence: no new revision will get the associated secrets Fix: SBR should go through knative service secrets would be injected and in turn new revisions would be created Result: SBR works as expected with Knative Service
Clone Of: 1798288
Environment:
Last Closed: 2020-03-24 14:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
Service binding should be through Knative Service-1 (58.92 KB, image/png)
2020-03-18 21:55 UTC, spathak@redhat.com
no flags Details
Service binding should be through Knative Service-2 (50.64 KB, image/png)
2020-03-18 21:56 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4578 None closed [release-4.3] Bug 1808968: fixes sbr to work with knative services 2020-04-20 11:32:19 UTC
Red Hat Product Errata RHBA-2020:0858 None None None 2020-03-24 14:34:44 UTC

Comment 3 Gajanan More 2020-03-17 07:55:44 UTC
@cvogt@redhat.com  @jakumar@redhat.com @rgarg@redhat.com
It has been blocked because of https://issues.redhat.com/browse/ODC-3363

Comment 5 spathak@redhat.com 2020-03-18 21:55:35 UTC
Created attachment 1671247 [details]
Service binding should be through Knative Service-1

Comment 6 spathak@redhat.com 2020-03-18 21:56:41 UTC
Created attachment 1671248 [details]
Service binding should be through Knative Service-2

Comment 7 spathak@redhat.com 2020-03-18 21:58:37 UTC
Verified on build: 4.3.0-0.ci-2020-03-18-122927
Chrome browser: 76.0.3809.132

Comment 10 errata-xmlrpc 2020-03-24 14:34:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.